Get Certificate Library Item
Get the specified certificate library item
Retrieves the specified certificate library item. Note: This API also supports a former (erroneously spelt) alternate path /cetificateLibrary/{id} as a Deprecated API (deprecated-in and removed after API version 36.0)
Request
URI
GET
https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary/{id}
COPY
Path Parameters
string
id
Required
id
Responses
200
OK
Returns
CertificateLibraryItem
of type(s)
application/json;version=9.1.0
{
"id": "string",
"alias": "string",
"privateKey": "string",
"privateKeyPassphrase": "string",
"certificate": "string",
"description": "string",
"consumerCount": 0
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Classic"},{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary/{id}
Availability
Added in 35.0
On This Page
Certificate Library Operations
GET
Query Certificate Library
POST
Add Certificate Library Item
GET
Get Certificate Library Item
PUT
Update Certificate Library Item
DELETE
Delete Certificate Library Item
GET
Query Cert Library Item Consumer Refs
POST
Add Consumer Ref To Cert Library Item
PUT
Replace Cert Library Item Consumer Refs